Loading...
Searching...
No Matches
pcl::cuda::DisparityHelperMap Struct Reference

`#include </build/pcl-oe1NcQ/pcl-1.14.0+dfsg/cuda/io/include/pcl/cuda/io/kinect_smoothing.h>`

## Public Member Functions

| DisparityHelperMap (float *data, int width, int height, int window_size, float baseline, float focal_length, float disp_thresh)
__host__ __device__ float | disparity2depth (float disparity)
__host__ __device__ float | depth2disparity (float depth)
__host__ __device__ float3 | operator() (int idx)

## Public Attributes

float * | data_
int | width_
int | height_
int | window_size_
float | baseline_
float | focal_length_
float | disp_thresh_

## Detailed Description

Definition at line 214 of file kinect_smoothing.h.

## Constructor & Destructor Documentation

## DisparityHelperMap()

pcl::cuda::DisparityHelperMap::DisparityHelperMap | ( | float * | data,
|  | int | width,
|  | int | height,
|  | int | window_size,
|  | float | baseline,
|  | float | focal_length,
|  | float | disp_thresh
| ) |  |

inline

Definition at line 216 of file kinect_smoothing.h.

## Member Function Documentation

## depth2disparity()

__host__ __device__ float pcl::cuda::DisparityHelperMap::depth2disparity | ( | float | depth | ) |

inline

Definition at line 237 of file kinect_smoothing.h.

References baseline_, and focal_length_.

Referenced by operator()().

## disparity2depth()

__host__ __device__ float pcl::cuda::DisparityHelperMap::disparity2depth | ( | float | disparity | ) |

inline

Definition at line 230 of file kinect_smoothing.h.

References baseline_, and focal_length_.

Referenced by operator()().

## operator()()

__host__ __device__ float3 pcl::cuda::DisparityHelperMap::operator() | ( | int | idx | ) |

inline

Definition at line 243 of file kinect_smoothing.h.

References data_, depth2disparity(), disp_thresh_, disparity2depth(), height_, width_, and window_size_.

## Member Data Documentation

## baseline_

float pcl::cuda::DisparityHelperMap::baseline_

Definition at line 224 of file kinect_smoothing.h.

Referenced by depth2disparity(), and disparity2depth().

## data_

float* pcl::cuda::DisparityHelperMap::data_

Definition at line 220 of file kinect_smoothing.h.

Referenced by operator()().

## disp_thresh_

float pcl::cuda::DisparityHelperMap::disp_thresh_

Definition at line 226 of file kinect_smoothing.h.

Referenced by operator()().

## focal_length_

float pcl::cuda::DisparityHelperMap::focal_length_

Definition at line 225 of file kinect_smoothing.h.

Referenced by depth2disparity(), and disparity2depth().

## height_

int pcl::cuda::DisparityHelperMap::height_

Definition at line 222 of file kinect_smoothing.h.

Referenced by operator()().

## width_

int pcl::cuda::DisparityHelperMap::width_

Definition at line 221 of file kinect_smoothing.h.

Referenced by operator()().

## window_size_

int pcl::cuda::DisparityHelperMap::window_size_

Definition at line 223 of file kinect_smoothing.h.

Referenced by operator()().

The documentation for this struct was generated from the following file:

- /build/pcl-oe1NcQ/pcl-1.14.0+dfsg/cuda/io/include/pcl/cuda/io/kinect_smoothing.h